%define anolis_release 1

Summary:        Power Management Service
Name:           upower
Version:        1.90.6
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
URL:            http://upower.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/upower/upower/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

# https://gitlab.freedesktop.org/upower/upower/-/commit/9ee76826bd41a5d3a377dfd6f5835f42ec50be9a
Patch1001:      0001-Fix-race-condition-in-test_sibling_priority_no_overwrite.patch
# https://gitlab.freedesktop.org/upower/upower/-/commit/7d7bb84fde91bef9ee7eba924cbdfa74639cc4fe
Patch1002:      0002-linux-up-enumerator-udev-Find-the.patch

BuildRequires:  gcc gcc-c++ automake autoconf
BuildRequires:  gettext gtk-doc xsltproc meson >= 0.56.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.58 pkgconfig(gio-unix-2.0) >= 2.58
BuildRequires:  pkgconfig(glib-2.0) >= 2.58
BuildRequires:  pkgconfig(gobject-2.0) >= 2.58 pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gudev-1.0) >= 235 pkgconfig(systemd) pkgconfig(udev)
BuildRequires:  pkgconfig(libimobiledevice-1.0) >= 0.9.7 polkit-devel
Requires:       udev gobject-introspection
Obsoletes:      compat-%{name}09 < 0.99

%description
UPower is an abstraction for enumerating power devices, 
listening to device events and querying history and statistics. 
Any application or service on the system can access the 
org.freedesktop.UPower service via the system message bus.

%package devel
Summary:        Headers and libraries for UPower
Requires:       %{name} = %{version}-%{release}

%description devel
Headers and libraries for UPower.

%package devel-docs
Summary:        Developer documentation for for libupower-glib
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description devel-docs
Developer documentation for for libupower-glib.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%meson \
  -Dman=true \
  -Dgtk-doc=true \
  -Dintrospection=enabled \

%meson_build

%install
%meson_install

%find_lang upower

%post
%systemd_post upower.service

%preun
%systemd_preun upower.service

%postun
%systemd_postun_with_restart upower.service

%files -f upower.lang
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_datadir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system-services/*.service
%{_bindir}/upower
%{_libdir}/libupower-glib.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_udevhwdbdir}/*.hwdb
%ghost %dir %{_localstatedir}/lib/upower
%{_libexecdir}/*
%{_udevrulesdir}/*.rules
%{_unitdir}/upower.service
%{_udevhwdbdir}/95-upower-hid.hwdb
%{_mandir}/man1/*.zst
%{_mandir}/man7/*.zst
%{_mandir}/man8/*.zst
%{_datadir}/installed-tests/upower/upower-integration.test
%{_datadir}/polkit-1/actions/org.freedesktop.upower.policy
%license COPYING
%doc README NEWS AUTHORS HACKING


%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%files devel-docs
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*


%changelog
* Fri Mar 21 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.90.6-1
- Update to 1.90.6 from 0.99.20

* Tue Apr 30 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.99.20-3
- Rebuild for anolis23.1

* Wed Apr 12 2023 chen_yu_ao <m15927509890@163.com> - 0.99.20-2
- change spec file format

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 0.99.20-1
- New version 0.99.20

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 0.99.17-1
- Init from upstream version 0.99.17
